	subroutine mech2cnss (sumcrd, ounit, src, mectyp, y2k, date, 
     1 pref)

	implicit none
        character*1     cflag2
        character*8     date
	real		dd1
	real		dd2
	real		da1
	real		da2
	real		sa1
	real		sa2
	integer		evntid
	real		fit
	real		fitlim
	integer		idrng
	integer		ifor
	integer		irrng
	integer		isrng
	character*2	mectyp
	integer		ounit
	real		prcntx
	character*1	pref
        character*1     sflag
	character*3	src
	real		stdr
	character*141	sumcrd
	integer		ios
	integer		nr
	logical		y2k

	if (.not. y2k) then
	  assign 100 to ifor
	else
	  assign 110 to ifor
	endif
          read (sumcrd, ifor, iostat = ios)
	1	  dd1, da1, sa1, fit, nr, fitlim, stdr, prcntx, 
	2	  isrng, idrng, irrng, cflag2, sflag, evntid
100       format (t82,
	1	  f3.0,1x,f2.0,f4.0,2x,f4.2,1x,i3,1x,2f5.2,1x,f4.2,2x,
	2	  2(i2, 1x), i2, 2a1, i10)
110       format (t84,
	1	  f3.0,1x,f2.0,f4.0,2x,f4.2,1x,i3,1x,2f5.2,1x,f4.2,2x,
	2	  2(i2, 1x), i2, 2a1, i10)
	if (ios .ne. 0) then
	  print *, 'read error'
	  print *, sumcrd
	  stop
	endif
	call auxpln (dd1, da1, sa1, dd2, da2, sa2)
	dd1 = dd1 - 90.
	if (dd1 .lt. 0.) dd1 = dd1 + 360.
	dd2 = dd2 - 90.
	if (dd2 .lt. 0.) dd2 = dd2 + 360.

c
c write out $mec line (ref cnss_v1.0.3.format)
c
	write (ounit, 200) pref, mectyp, src, nint(dd1), nint(da1), 
	1 nint(sa1), nint(dd2), nint(da2), nint(sa2), nr, 100, date, 
	2 evntid
200	format ('$mec', a1, a2, t45, a3, 2(i3, i2, i4), i4, i3, t80,
	1 a8, i12)
c
c write out $add line (ref cnss_v1.0.3.format)
c
	write (ounit, 300) mectyp, isrng, idrng, irrng, fit, fitlim, 
     1 stdr, prcntx, cflag2
300     format ('$add$mec', a2, 3i2, 2f6.2, 2f5.2, a1)
	return
	end
